org.apache.sling.auth.xing.api

## Class AbstractXingUserManager

- java.lang.Object
- - org.apache.sling.auth.xing.api.AbstractXingUserManager

All Implemented Interfaces:
  XingUserManager

    public abstract class AbstractXingUserManager
    extends Object
    implements XingUserManager

### Field Summary

Fields
`protected boolean` `autoCreateUser`
`protected boolean` `autoUpdateUser`
`static boolean` `DEFAULT_AUTO_CREATE_USER`
`static boolean` `DEFAULT_AUTO_UPDATE_USER`
`protected javax.jcr.Session` `session`

### Constructor Summary

Constructors
Constructor and Description
`AbstractXingUserManager()`

### Method Summary

Methods
`boolean` `autoCreate()`
`boolean` `autoUpdate()`
`protected javax.jcr.Session` `getSession()`
`protected abstract org.apache.sling.jcr.api.SlingRepository` `getSlingRepository()`
`org.apache.jackrabbit.api.security.user.User` `getUser(javax.jcr.Credentials credentials)`
`protected org.apache.jackrabbit.api.security.user.User` `getUser(String userId)`
`protected org.apache.jackrabbit.api.security.user.UserManager` `getUserManager(javax.jcr.Session session)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.sling.auth.xing.api.XingUserManager

`createUser, updateUser`

### Field Detail

#### autoCreateUser

    protected boolean autoCreateUser

#### autoUpdateUser

    protected boolean autoUpdateUser

#### session

    protected javax.jcr.Session session

#### DEFAULT_AUTO_CREATE_USER

    public static final boolean DEFAULT_AUTO_CREATE_USER

See Also:
  Constant Field Values

#### DEFAULT_AUTO_UPDATE_USER

    public static final boolean DEFAULT_AUTO_UPDATE_USER

See Also:
  Constant Field Values

### Constructor Detail

#### AbstractXingUserManager

    public AbstractXingUserManager()

### Method Detail

#### getSlingRepository

    protected abstract org.apache.sling.jcr.api.SlingRepository getSlingRepository()

#### autoCreate

    public boolean autoCreate()

Specified by:
  `autoCreate` in interface `XingUserManager`

#### autoUpdate

    public boolean autoUpdate()

Specified by:
  `autoUpdate` in interface `XingUserManager`

#### getUser

    public org.apache.jackrabbit.api.security.user.User getUser(javax.jcr.Credentials credentials)

Specified by:
  `getUser` in interface `XingUserManager`

#### getUser

    protected org.apache.jackrabbit.api.security.user.User getUser(String userId)

#### getSession

    protected javax.jcr.Session getSession()
                                    throws javax.jcr.RepositoryException

Throws:
  `javax.jcr.RepositoryException`

#### getUserManager

    protected org.apache.jackrabbit.api.security.user.UserManager getUserManager(javax.jcr.Session session)
                                                                          throws javax.jcr.RepositoryException

Throws:
  `javax.jcr.RepositoryException`